Public Class clsGenre
    '-- Enumerations --
    '-- Fields --
    Private msGenreID As String 'GenreID
    Private msGenreNaam As String 'GenreNaam

    '-- Properties --
    Public Property GenreID() As String
        Get
            Return Me.msGenreID
        End Get
        Set(ByVal Value As String)
            Me.msGenreID = Value.Trim
        End Set
    End Property
    Public Property GenreNaam() As String
        Get
            Return Me.msGenreNaam
        End Get
        Set(ByVal Value As String)
            Me.msGenreNaam = Value
        End Set
    End Property

    Public Sub New()

    End Sub
    Public Sub New(ByVal sGenreID As String, ByVal sGenreNaam As String)
        Me.GenreID = sGenreID
        Me.GenreNaam = sGenreNaam

    End Sub

    Public Overrides Function toString() As String
        ' Return "GENRE ID: " & Me.msGenreID & "  GENRE NAAM:  " & Me.msGenreNaam
        Return Me.msGenreNaam
        'zo word in databinding van een combobox met een arraylist van genres enkel de naam van het genre gegeven
        'misschien met substring werken ipv dit?
    End Function



End Class
